Summary:	Utility for converting FIG files (made by xfig) to other formats
Name:		transfig
Version:	3.2.9
Release:	4%{?dist}
License:	MIT
URL:		https://sourceforge.net/projects/mcj/
Source0:	http://downloads.sourceforge.net/mcj/fig2dev-%{version}.tar.xz

Patch0000:	CVE-2025-31162.patch
Patch0001:	CVE-2025-31163.patch
Patch0002:	CVE-2025-31164.patch
Patch0003:	CVE-2025-46397.patch
Patch0004:	CVE-2025-46398.patch
Patch0005:	CVE-2025-46399.patch
Patch0006:	CVE-2025-46400-1.patch
Patch0007:	CVE-2025-46400-2.patch

BuildRequires:	make gcc libtool
BuildRequires:	libpng-devel libjpeg-devel libXpm-devel ghostscript

Requires:       ghostscript netpbm-progs bc

%description
The transfig utility creates a makefile which translates FIG (created
by xfig) or PIC figures into a specified LaTeX graphics language (for
example, PostScript(TM)).  Transfig is used to create TeX documents
which are portable (i.e., they can be printed in a wide variety of
environments).


%prep
%autosetup -p1 -n fig2dev-%{version}

iconv -f ISO-8859-15 -t UTF-8 man/fig2dev.1.in -o fig2dev.1.in.new
touch -r man/fig2dev.1.in fig2dev.1.in.new
mv fig2dev.1.in.new man/fig2dev.1.in


%build
autoreconf -fiv
%configure --enable-transfig
%make_build


%install
%make_install


%files
%doc CHANGES transfig/doc/manual.pdf
%{_bindir}/transfig
%{_bindir}/fig2dev
%{_bindir}/fig2ps2tex
%{_bindir}/pic2tpic
%{_datadir}/fig2dev/i18n/*.ps
%{_mandir}/man1/*.1.gz


%changelog
* Tue Jun 24 2025 Shuo Wang <abushwang@tencent.com> - 3.2.9-4
- fix CVE-2025-31162 CVE-2025-31163 CVE-2025-46397
- CVE-2025-46398 CVE-2025-4639 CVE-2025-46400

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.9-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.9-2
- Rebuilt for loongarch release

* Wed Jan 10 2024 Upgrade Robot <upbot@opencloudos.org> - 3.2.9-1
- Upgrade to version 3.2.9

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.8b-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Sep 04 2023 cunshunxia <cunshunxia@tencent.com> - 3.2.8b-4
- Rebuilt for ghostscript 10.01.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.8b-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.8b-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 07 2023 cunshunxia <cunshunxia@tencent.com> - 3.2.8b-1
- initial build
